openbsd-ports/cad/qcad/patches/patch-scripts_build_qcad_sh
steven 7d7bc69e67 update to qcad 2.0.5.0
problem on amd64 fixed by Martynas Venckus, thanks

also tested by ckuethe, ajacoutot, Antti Harri, and Andreas Bihlmaier
2007-01-09 16:30:37 +00:00

76 lines
1.5 KiB
Plaintext

$OpenBSD: patch-scripts_build_qcad_sh,v 1.1 2007/01/09 16:30:38 steven Exp $
--- scripts/build_qcad.sh.orig Tue Nov 22 12:27:33 2005
+++ scripts/build_qcad.sh Sat Jan 6 22:13:03 2007
@@ -41,6 +41,11 @@ then
export MAKE=gmake
echo "Platform is FreeBSD"
platform=freebsd
+elif [ `uname` == "OpenBSD" ]
+then
+ export MAKE=${MAKE}
+ echo "Platform is OpenBSD"
+ platform=openbsd
else
export MAKE=make
echo "Platform is Linux"
@@ -53,7 +58,7 @@ fi
if [ -z $QTDIR ]
then
echo "QTDIR not set. Aborting.."
- exit
+ exit 1;
fi
modules="qcadlib qcadcmd qcadactions qcadguiqt"
@@ -164,7 +169,7 @@ cd ..
if [ ! -f fparser/lib/libfparser.a ]
then
echo "Building libfparser.a failed"
- exit;
+ exit 1;
fi
echo "-------- Building dxflib --------"
@@ -179,7 +184,7 @@ cd ..
if [ ! -f dxflib/lib/libdxf.a ]
then
echo "Building libdxf.a failed"
- exit;
+ exit 1;
fi
@@ -221,7 +226,7 @@ do
if [ ! -f $p/lib/*.a ]
then
echo "Building $p failed"
- exit;
+ exit 1;
fi
fi
done
@@ -249,6 +254,7 @@ then
echo "-------- Building Translations --------"
cd scripts
sh ./release_translations.sh
+ cd ..
fi
if [ "x$platform" == "xosx" ]
@@ -256,13 +262,13 @@ then
if [ ! -d qcad/$target.app ]
then
echo "Building qcad binary failed"
- exit;
+ exit 1;
fi
else
if [ ! -f qcad/$target ]
then
echo "Building qcad binary failed"
- exit;
+ exit 1;
fi
fi